/*********************************************************************************/
/* $Id: Protos.h,v 1.20 2002/05/27 21:23:01 Anoosh Naderi Exp $                  */
/*										 */
/* Protos.h									 */
/*										 */
/* Prototypes for routines exported for use from Adiutil			 */
/*										 */
/* This file is part of the "ADI USB ADSL Driver for Linux".			 */
/*										 */
/* "ADI USB ADSL Driver for Linux" is free software; you can redistribute it     */
/* and/or modify it under the terms of the GNU General Public License as 	 */
/* published by the Free Software Foundation; either version 2 of the License,   */
/* or (at your option) any later version.					 */
/*										 */
/* "ADI USB ADSL Driver for Linux" is distributed in the hope that it will be    */
/* useful, but WITHOUT ANY WARRANTY; without even the implied warranty of	 */	
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the		 */
/* GNU General Public License for more details.					 */
/*										 */ 
/* You should have received a copy of the GNU General Public License		 */
/* along with "ADI USB ADSL Driver for Linux"; if not, write to the Free Software*/
/* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA     */
/*********************************************************************************/

#ifndef PROTOS_H
#define PROTOS_H

/*********************************************************************************/
/* Dsp.c									 */
/*********************************************************************************/
Boolean DspFoodProcessor(Hardware *pHw);
void FreeDspData(Hardware *pHw);

/*********************************************************************************/
/* Boot.c									 */
/*********************************************************************************/
void BootTheModem(Hardware *pHw, Bool Rebooting);
void IdmaUploadSwapPage(Hardware *pHw, UInt16 SwapInfo);
// By Mani ///////////////////////////
void SoftRestart(Hardware *pHw);    //
//////////////////////////////////////

/*********************************************************************************/
/* Util.c									 */
/*********************************************************************************/
// FFD012803: Now we pass the pid to the function.
int loadUsbFirmware(Hardware *pHw,UInt32 pid);

int EZUSBWrite(Hardware *pHw, UInt16 EZUSBAddress, UInt16 count, UInt8 writeBuffer[]);
int AllocQueuedBuffers(Hardware *pHw, UInt32 BufCount, UInt32 BufSize, UInt32 DataSize, QHdr *pQ, Boolean SetQueueEntry);
void DeAllocQueuedBuffers(QHdr *pQ);
QHdr *GetBufferFromQ(QHdr *pQ);
void PutBufferInQ(GENERIC_BUFFER *pBuf, QHdr *pQ);
void WriteDspMsg(Hardware *pHw, UInt16 Addr, UInt16 *pData);
int AdiCustomWrite(Hardware *pHw, UInt32 Cmd, UInt32 Index, UInt32 Count, UInt8 *pData);
int AdiCustomWriteIm(Hardware *pHw, UInt32 Cmd, UInt32 Index, UInt32 Count, UInt8 *pData);
void CtrlUrbQueueWatcher(unsigned long ptr);
void GetMacAddress(Hardware *pHw);

// By Mani ///////////////////////////////////////////////////////////////////////
void MemReadCompletion(struct urb *urb);					//
void ReadDspMem(Hardware *pHw, UInt16 Addr, UInt8 *pData);			//	
void WriteDspMem(Hardware *pHw, UInt16 Addr, UInt8 *pData);			//
//////////////////////////////////////////////////////////////////////////////////


/*********************************************************************************/
/* Msg.c									 */
/*********************************************************************************/
void MsgInitialize(Hardware *pHw);
UInt32  MsgDecode(mp_message *MsgDrv, UInt16 MsgRaw[8]);
void MsgSend(Hardware *pHw, UInt16 *Packet);

// By Mani ///////////////////////////////////////////////////////////////////////
void UserMsgSend(Hardware *pHw, UInt16 *Packet);				//
// End By Mani ///////////////////////////////////////////////////////////////////

/*********************************************************************************/
/* Me.c										 */
/*********************************************************************************/
void ProcessIncomingCmv(Hardware *pHw, UInt16 *pMsg);
int SetTimerInterval( Hardware*, int Duration );
void WatchdogTimer(unsigned long ptr);
int AdjustTimerInterval(Hardware* pHw, int reqDelay);

/*********************************************************************************/
/* Crc.c									 */
/*********************************************************************************/
void CrcGenerateTable(void);
UInt32 CrcCalculate(UInt8 *Cell, UInt32 Length, UInt32 Crc);

/*********************************************************************************/
/* Mpoa.c									 */
/*********************************************************************************/
void MpoaInitialize(Hardware *pHw, UInt32 MpoaMode);
void MpoaProcessReceivedPdu(Hardware *pHw, ETHERNET_PACKET_BUFFER *pBuf);
void EthernetArpReply(Hardware *pHw, UInt8 *pBuf, UInt32 PacketSize);	// FFD120602 : routed mode

/*********************************************************************************/
/* Uni.c							                 */
/*********************************************************************************/
void UniEstablishVc(Hardware *pHw, UInt8 *pEncapHdr, UInt32 EncapSize);
int UniProcessOutboundPdu(Hardware *pHw, UInt8 *pPacket, UInt32 PacketSize);
ATMVC *UniLookupVc(Hardware *pHw, UInt32 VpiVci);
int UniProcessInboundData(Hardware *pHw, UInt8 *pData, UInt32 DataLength);

/*********************************************************************************/
/* Sar.c									 */
/*********************************************************************************/
void Aal5InitSegmenter(SarSegmenter *pSar, UInt32 PduLength, UInt8 *pOutputBuffer, UInt8 *pCellHeader);
void Aal5Segment(SarSegmenter *pSar, UInt8 *pInputBuffer, UInt32 InputLength);
void Aal5InitReassembler(SarReassembler *pSar, ETHERNET_PACKET_BUFFER *pBuf);
UInt16 Aal5WritePadAndTrailer(SarSegmenter *pSar, UInt8 CpcsUu, UInt8 Cpi);
void Aal5ReassembleNonFinalCell(SarReassembler *pSar, UInt8 *pCellPayload);
void Aal5ReassembleFinalCell(SarReassembler *pSar, UInt8 *pCellPayload);

/*********************************************************************************/
/* Pipes.c									 */
/*********************************************************************************/
void StartReadPipe(Hardware *pHw);
void StopReadPipe(Hardware *pHw);
void ReadSendItUp(Hardware *pHw, ETHERNET_PACKET_BUFFER *pPacket);
int WriteAtmData(Hardware *pHw);

// By Mani ///////////////////////////////////////////////////////////////////////////////
/*********************************************************************************/	//
/* Sm.c									 */		//
/*********************************************************************************/	//
void ModemSM(UInt16 uEventCode, Hardware *pHw, void *pData);				//
// End By Mani ///////////////////////////////////////////////////////////////////////////

/*********************************************************************************/
/* Zaps.c									 */
/*********************************************************************************/
Boolean DoZap(UInt32 myModule, UInt32 myLevel);

#endif /*PROTOS_H*/

/************************************************************************************
$Log: Protos.h,v $
Revision 1.30  2002/06/14 12:34:01  Mani Hamzian
Added Support for User API Calls

Revision 1.20  2002/05/27 21:23:01  Anoosh Naderi
Clean up the code

Revision 1.12  2002/01/17 21:23:01  chris.edgington
Moved DoZap prototype to Protos.h.

Revision 1.11  2002/01/16 22:59:33  steve.urquhart
Moved portion of DspFoodProcessor and invocation of BootTheModem to
adi_user ioctl handler.  Removed LoadAndPrepareDsp.  Cleaned up the ioctl
interface.  Decreased initial DSP vmalloc to less than .5MB.

Revision 1.10  2002/01/14 21:59:34  chris.edgington
Added GPL header.

Revision 1.9  2002/01/08 16:01:50  chris.edgington
Added GetMacAddress.
Changed return type to void on BootTheModem.

Revision 1.8  2002/01/04 20:57:16  chris.edgington
Added prototypes from Pipes.c.

Revision 1.7  2002/01/02 22:10:32  chris.edgington
Added prototypes for Crc, Mpoa, Uni, and Sar.

Revision 1.6  2001/12/28 19:37:47  chris.edgington
Added new protos for GetBufferFromQ, CtrlUrbQueueWatcher, AdiCustomerWriteIm.

Revision 1.5  2001/12/26 22:52:52  chris.edgington
Added new prototypes, changed prototype for BootTheModem.

Revision 1.4  2001/12/22 21:34:08  chris.edgington
Added prototypes from Msg and Me modules.

Revision 1.3  2001/12/22 19:43:06  chris.edgington
Added prototypes from Util.c.

Revision 1.2  2001/12/21 23:47:37  chris.edgington
Added prototype for BootTheModem.

Revision 1.1.1.1  2001/12/14 21:27:20  chris.edgington
Initial import
******************************************************************************************/



