/*********************************************************************************/
/* $Id: AdiUsbAdslDriver.h,v 1.7 2002/01/18 18:00:31 Anoosh Naderi Exp $         */ 
/*										 */
/* Copyright (c) 2002, Analog Devices Inc., All Rights Reserved			 */
/*										 */
/* AdiUsbAdslDriver.h								 */	
/*										 */
/* IOCtl related definitions to be shared with user mode code			 */
/*										 */
/* This file is part of the "ADI USB ADSL Driver for Linux".   			 */
/*   										 */
/* "ADI USB ADSL Driver for Linux" is free software; you can redistribute it     */
/* and/or modify it under the terms of the GNU General Public License as         */
/* published by the Free Software Foundation; either version 2 of the License,   */  
/* or (at your option) any later version.   					 */	
/*   										 */
/* "ADI USB ADSL Driver for Linux" is distributed in the hope that it will be    */
/* useful, but WITHOUT ANY WARRANTY; without even the implied warranty of        */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the   		 */
/* GNU General Public License for more details.   				 */
/*   										 */
/* You should have received a copy of the GNU General Public License  	         */
/* along with "ADI USB ADSL Driver for Linux"; if not, write to the Free Software*/   
/* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA     */ 
/*********************************************************************************/

#ifndef ADIUSBADSLDRIVER_H
#define ADIUSBADSLDRIVER_H

struct adi_dsp_info
{
    UInt32  IDMAStart;
    UInt32  DspSize;
    UInt8  *pDsp;
};

#define ADIUSBADSLDSP     _IOW('U', 100, struct adi_dsp_info)
#define ADIUSBADSLRESET   _IOW('U', 101, struct adi_dsp_info)
#define ADIUSBADSLOPTIONS _IOW('U', 102, struct adi_dsp_info)

// By Mani /////////////////////////////////////////////////////////
//FFD012903 standard version number: W.X.Y.Z ( W=3 (LinuxUSB), X=1(LAN),Y=Major,Z=Minor
#define driver_version      "3.1.1.1"                             //

#define ADIUSBADSLMAC       _IOWR ('U', 103,API_LINK_INFO)        // 
#define ADIUSBADSLCMV       _IOWR('U', 104, API_LINK_INFO)        //
#define ADIUSBADSLVER       _IOWR('U', 105, API_LINK_INFO)        //
#define ADIUSBADSLSTATE     _IOWR('U', 106, int)                  //
#define ADIUSBADSLTESTREQ   _IOWR('U', 107, int)                  //
#define ADIUSBADSLGETSTATE  _IOWR('U', 108, int)                  //
#define ADIUSBADSLDSPMEMR   _IOWR('U', 109,DspRWInfo)             //
#define ADIUSBADSLDSPMEMW   _IOWR('U', 110,DspRWInfo)             //  
#define ADIUSBADSLREADGP    _IOWR('U', 111,int)                   //
#define ADIUSBADSLWRITEGP   _IOWR('U', 112,int)                   //
#define ADIUSBADSLREADPAR   _IOWR('U', 113,ParamReadType)	  //
#define ADIUSBADSLMDRAEDY   _IOWR('U', 114,int)	  		  //
#define ADIUSBADSLSOFTRST   _IOWR('U', 115,int)	  		  //
// End By Mani /////////////////////////////////////////////////////  

#endif /* ADIUSBADSLDRIVER */

/***************************************************/
/*$Log: AdiUsbAdslDriver.h,v $			   */	
/*Revision 1.80  2002/06/13 15:29:00  Mani Hamzian */
/*Adding support for User API Calls                */
/*						   */	
/*Clean upthe code.				   */
/*Revision 1.70  2002/05/24 18:00:31  Anoosh Naderi*/
/*Clean upthe code.				   */
/*						   */	
/*Revision 1.6  2002/01/18 18:00:31  Chris	   */
/*Added ADIUSBADSLOPTIONS ioctl.		   */	
/*						   */	
/*Revision 1.5  2002/01/18 00:01:20  steve.urquhart*/
/*Upgraded adi_user to handle 2 ioctls		   */
/*						   */	
/*Revision 1.4  2002/01/17 19:26:39  steve.urquhart*/
/*Replaced missing newline at end of file          */
/***************************************************/






